Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1
Class BERSet

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.DERObject
              org.bouncycastle.asn1.ASN1Set
                  org.bouncycastle.asn1.DERSet
                      org.bouncycastle.asn1.BERSet

All Implemented Interfaces:
  DEREncodable, DERTags

public class BERSet
extends DERSet

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Set
`set`

Fields inherited from interface org.bouncycastle.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`BERSet()` create an empty sequence
`BERSet(DEREncodable obj)` create a set containing one object
`BERSet(DEREncodableVector v)`

Methods inherited from class org.bouncycastle.asn1.ASN1Set
`addObject, equals, getInstance, getInstance, getObjectAt, getObjects, hashCode, size, sort`

Methods inherited from class org.bouncycastle.asn1.DERObject
`toASN1Object`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`getDERObject, getEncoded`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BERSet

    public BERSet()

  create an empty sequence

### BERSet

    public BERSet(DEREncodable obj)

  create a set containing one object

### BERSet

    public BERSet(DEREncodableVector v)

Parameters:
  `v` - - a vector of objects making up the set.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD